---
search:
  tags:
    - Inboxes
    - PATCH
seo:
  description: >-
    Update a label. Reference for the PATCH
    /inboxes/{inbox_id}/labels/{label_id} endpoint in the BillionSend API.
sidebar:
  label: Update a label
  badge: PATCH
title: Update a label
type: openapi-operation
---
`PATCH /inboxes/{inbox_id}/labels/{label_id}`

**Request body** (`application/json`)

- `name` (string)
- `color` (string)

Request body example:

```json
{
  "name": "string",
  "color": "string"
}
```

**Responses**

- `200` — Label updated
- `401` — Missing, malformed, unknown or revoked API key
- `404` — Not found
- `422` — Validation error or a duplicate name
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "color": "string",
  "created_at": "string",
  "object": "inbox_label"
}
```
